Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	This plugin checks for package updates using the Smart Package Manager.
Name:		xfce4-smartpm-plugin
Version:	0.2.2
Release:	1
License:	GPL
URL:		http://xfce-goodies.berlios.de
Source0:	%{name}-%{version}.tar.gz
Group:		Graphical Desktop/Xfce/Extras
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	xfce4-panel >= 4.4.0 smart
BuildRequires:	xfce4-panel-devel >= 4.4.0
BuildRequires:	libxfcegui4-devel libxfce4util-devel smart

%description
This plugin checks for package updates using the Smart Package Manager. 
Works with both Fedora (RPM) and Ubuntu (DEB), tested with F-8 and gutsy. 

It can also be configured, though with somewhat less features and functionality, 
to use either the Yum (+Extender) or APT (+Synaptic) package managers. 

%prep
%setup -q

%build
%configure --sysconfdir=%_sysconfdir/xfce
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libexecdir/xfce4/panel-plugins/xfce4-smartpm-plugin
%_datadir/icons/hicolor/*/apps/xfce*.*g
%_datadir/locale/*/LC_MESSAGES/xfce4-smartpm-plugin.mo
%_datadir/xfce4/panel-plugins/xfce4-smart.desktop

%changelog
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.2.2-1
- Initial Release
